package cn.minestar.agriculture.mapper;

import java.util.List;

import cn.minestar.agriculture.entity.WxMiniInfo;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author www.minestar.cn/
 * @date 2021-08-10
 */
public interface WxMiniInfoMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public WxMiniInfo selectWxMiniInfoById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param wxMiniInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<WxMiniInfo> selectWxMiniInfoList(WxMiniInfo wxMiniInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param wxMiniInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertWxMiniInfo(WxMiniInfo wxMiniInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param wxMiniInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateWxMiniInfo(WxMiniInfo wxMiniInfo);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteWxMiniInfoById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWxMiniInfoByIds(Long[] ids);
}
